//
//  CoraoolUTUtility.h
//  Coraool
//
//  Created by 果 on 2024/4/9.
//

#import <Foundation/Foundation.h>
// "eventType": "CLICK，PAGE, EXPOSE, CUSTOM, SYSTEM"
typedef NS_ENUM(NSInteger, EventType) {
    CLICK,
    PAGE,
    EXPOSE,
    CUSTOM,
    SYSTEM
};


/// <#Description#>
@interface CoraoolUTUtility :NSObject
/**
 获取时间戳，ms
 */
+(NSInteger)fetchTimestamp;

/**
 获取枚举值
 */
+ (NSString *)stringFromEventType:(EventType)eventType;

/**
 获取枚举值
 */
+ (EventType )eventTypeFromStringValue:(NSString *)stringValue;

/**
 获取枚举值
 */
+(NSString *)pageItemKey:(id)object;



+(NSString *)getFormatTimeStr:(NSDate *)date;



/// 获取签名
/// @param data 签名数据
/// @param timestamp 时间戳
+(NSString *)getSignature:(NSData *)data timestamp:(NSInteger )timestamp;

/// dictionary 转 字符串
/// @param jsonString <#jsonString description#>
+(NSDictionary *)dictionaryWithJsonString:(NSString *)jsonString;


/// 添加前缀 PAGE_
/// @param string 已有前缀 PAGE_，不加
+(NSString *)addprefix:(NSString *)string;

@end

